summaryrefslogtreecommitdiff
path: root/build-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-test.sh')
-rwxr-xr-xbuild-test.sh22
1 files changed, 15 insertions, 7 deletions
diff --git a/build-test.sh b/build-test.sh
index 5234e2fb2a..538f0c32c1 100755
--- a/build-test.sh
+++ b/build-test.sh
@@ -154,13 +154,15 @@ generate_layout()
# Make sure to copy over the pulled down packages
cp -r $__BinDir/* $CORE_ROOT/ > /dev/null
- if [ "$__BuildOS" != "OSX" ]; then
- nextCommand="\"$__TestDir/setup-stress-dependencies.sh\" --arch=$__BuildArch --outputDir=$CORE_ROOT"
- echo "Resolve runtime dependences via $nextCommand"
- eval $nextCommand
- if [ $? != 0 ]; then
- echo "${__MsgPrefix}Error: setup-stress-dependencies failed."
- exit 1
+ if [ $__SkipStressDependencies == 0 ]; then
+ if [ "$__BuildOS" != "OSX" ]; then
+ nextCommand="\"$__TestDir/setup-stress-dependencies.sh\" --arch=$__BuildArch --outputDir=$CORE_ROOT"
+ echo "Resolve runtime dependences via $nextCommand"
+ eval $nextCommand
+ if [ $? != 0 ]; then
+ echo "${__MsgPrefix}Error: setup-stress-dependencies failed."
+ exit 1
+ fi
fi
fi
@@ -579,6 +581,7 @@ usage()
echo "msbuildonunsupportedplatform - build managed binaries even if distro is not officially supported."
echo "priority1 - include priority=1 tests in the build"
echo "skipgenerateversion - disable version generation even if MSBuild is supported."
+ echo "skipstressdependencies - disable build of libcoredistools.so for x64."
exit 1
}
@@ -685,6 +688,7 @@ __SkipNative=0
__SkipManaged=0
__SkipConfigure=0
__SkipGenerateVersion=0
+__SkipStressDependencies=0
__ConfigureOnly=0
__CrossBuild=0
__ClangMajorVersion=0
@@ -938,6 +942,10 @@ while :; do
__SkipGenerateVersion=1
;;
+ skipstressdependencies)
+ __SkipStressDependencies=1
+ ;;
+
*)
__UnprocessedBuildArgs+=("$1")
;;